@font-face {
    font-family: "Crispy";
    src: url("../assets/fonts/Crispy Food DEMO.ttf");
}
@font-face {
    font-family: "Happy";
    src: url("../assets/fonts/Happy\ Food.ttf");
}
@font-face {
    font-family: "Sigmar";
    src: url("../assets/fonts/Sigmar-Regular.ttf");
}
@font-face {
    font-family: "Air Factory";
    src: url("../assets/fonts/Air Factory Rounded.ttf");
}
@font-face {
    font-family: "Air Factory";
    src: url("../assets/fonts/Air\ Factory\ Rounded\ Bold.ttf");
    font-weight: bold;
}
@font-face {
    font-family: "Air Factory";
    src: url("../assets/fonts/Air\ Factory\ Rounded\ Light.ttf");
    font-weight: lighter;
}

/* :root {
    --var-color-primary: rgb(255 204 100);
} */

* {
    box-sizing: border-box;
}
body {
    margin: 0;
}

* {
    font-family: "Air Factory", "Popins", sans-serif;
    margin: unset;
}
h1,
h2,
h3,
h4,
h5 {
    font-weight: bold;
}
h1 {
    font-size: 50px;
}
h2 {
    font-size: 35px;
}
h3 {
    font-size: 30px;
}
h4 {
    font-size: 25px;
}
h5 {
    font-size: 20px;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
button.btn {
    border: none;
    outline: none;
    cursor: pointer;
    background-color: var(--var-color-primary);
    color: white;
    padding: 6px 20px;
    border-radius: 5px;
    font-size: 16px;
    font-weight: bold;
    transition: all 0.3s;
    width: 100%;
}

.d-none {
    display: none !important;
}
.text-primary {
    color: var(--var-color-primary);
}
.logo {
    width: 65px;
    height: 65px;
    background-color: white;
    border-radius: 50%;
    overflow: hidden;
    border: 3px solid white;
    z-index: 10;
    position: absolute;
    top: 15px;
    left: 15;
}
.t-left {
    text-align: left;
}
.t-center {
    text-align: center;
}
.t-right {
    text-align: right;
}

footer {
    position: relative;
    background-color: #333;
    padding: 20px 0;
    text-align: center;
    color: white;
    font-size: 14px;
    font-weight: lighter;
    font-family: "Popins", sans-serif;
}
.kremisi {
    color: #dc143c;
    text-decoration: none;
}

.hamburger {
    position: absolute;
    top: 10px;
    right: 75px;
    transform: scale(.9);
    z-index: 10;
}
.bg-stripe {
    height: 100%;
    width: 150px;
    background-color: var(--var-color-primary);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: all .8s;
}
.full.bg-stripe {
    width: 100%;
}

.arrow-animation {
    margin-left: -12px;
    height: 50px;
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: rotate(-90deg) scale(0.7);
}
.menu-img {
    width: 76px;
    height: 76px;
    border: 3px solid white;
    overflow: hidden;
    border-radius: 50%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}
.card-element {
    width: 100%;
    padding: 15px 20px;
    position: relative;
    overflow: hidden;
    border-radius: 15px;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.15);
    background-color: white;
}
.content {
    padding: 105px 20px 25px 15px;
    height: 100svh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    row-gap: 25px;
    overflow-y: scroll;
}

.header {
    background-color: #000;
    color: #fff;
    position: relative;
    height: 100%;
    width: 100%;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;

}
.header::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000;
    opacity: 0.6;
}
.header h1 {
    position: relative;
    padding: 0 20px;
}
.header-disclaimer {
    position: absolute;
    bottom: 0;
    padding: 0 25px;
    width: 100%;
    margin-top: 20px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
.header-disclaimer p {
    text-align: center;
    font-weight: lighter;
    text-align: center;
    position: relative;
}

.menu {
    overflow-y: hidden;
    position: relative;
    height: 100svh;
}
.category-element {
    position: relative;
    width: 100%;
}
.category-element .menu-img {
    position: absolute;
    top: -20px;
    right: -15px;
    margin-top: 9px;
    z-index: 1;
}
.categories-container {
    position: absolute;
    width: 100%;
    top: 0;
    transition: all .4s;
    z-index: 1;
}
.categories-container.hide {
    top: 100svh;
}

.dish-element {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding-top: 15px;
}
.dish-element:not(:last-child) {
    border-bottom: 1px solid #eee;
    padding: 15px 0 10px 0;
}
.dish-element .price {
    flex: none;
}

.dish-container {
    position: absolute;
    height: 100svh;
    width: 100%;
    overflow-y: hidden;
    text-align: center;
    display: flex;
    flex-direction: column;
    /* display: none; */
    z-index: 0;
    top: 0;
}
.banner-img,
.disclaimer-img {
    width: 100%;
    height: 250px;
    top: -250px;
    object-fit: cover;
    object-position: center;
    position: relative;
}

.dish-presentation,
.disclaimer {
    height: calc(100svh - 175px);
    background-color: white;
    padding: 25px 20px 50px 20px;
    border-radius: 15px 15px 0 0;
    position: absolute;
    overflow-y: scroll;
    width: 100%;
    position: relative;
    top: calc(100svh - 175px);
}
.dish-presentation.no-img {
    height: 100svh;
    padding: 100px 20px 50px 20px;
    border-radius: 0;
    bottom: 0;
    top: 100svh;
}
.dish-presentation h1 {
    font-size: 25px;
}
.dish-container .dish-infos,
.back-btn-container {
    position: absolute;
    bottom: -300px;
    width: 100%;
    padding: 15px 20px;
    background-color: white;
    border-radius: 15px 15px 0 0;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
    left: 0;
    z-index: 3;
}

.allergens-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    row-gap: 10px;
    column-gap: 10px;
    margin: 10px auto;
}
.allergen {
    display: flex;
    column-gap: 3px;
    justify-content: space-between;
    align-items: center;
    padding: 3px 5px;
    background-color: #ddd;
    border-radius: 5px;
    font-weight: bold;
}
/* .allergen p,
.allergen i {
    opacity: 0.8;
    color: #333 !important;
} */
.dish-infos .head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.banner-img,
.dish-presentation,
.dish-container .dish-infos,
.disclaimer-img,
.disclaimer,
.back-btn-container {
    transition: all .5s;
}
.dish-container.show {
    z-index: 2;
}
.show-components .banner-img,
.show-components .disclaimer-img {
    top: 0;
}
.show-components .dish-presentation,
.show-components .disclaimer {
    top: -30px;
    transition-delay: .3s;
}
.show-components .dish-presentation.no-img {
    top: 0;
    transition-delay: 0s;
}
.show-components .dish-infos,
.show-components .back-btn-container {
    bottom: 0;
    transition-delay: .6s;
}
.show-components .dish-presentation.no-img + .dish-infos {
    transition-delay: .3s;
}

.team-stripe {
    position: relative;
    overflow-x: hidden;
    margin-top: 15px;
}
.team-stripe .stripe-row,
.team-stripe .stripe-subrow {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: max-content;
    position: relative;
}
.team-stripe .stripe-subrow {
    column-gap: 15px;
    padding-right: 15px;
}
.team-stripe .stripe-name {
    font-size: 20px;
    font-weight: bold;
    opacity: .6;
}
.disclaimer-container {
    position: relative;
    height: 100svh;
    width: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    overflow: hidden;
}
.disclaimer-container.show {
    z-index: 15;
}
.disclaimer {
    z-index: 3;
    text-align: center;
    padding-bottom: 150px;
}
.disclaimer-img {
    z-index: 2;
}
.disclaimer-btn {
    position: absolute;
    top: 15px;
    right: 15px;
    z-index: 2;
    color: var(--var-color-primary);
    font-size: 25px;
    transition: all .3s;
    cursor: pointer;
}
.disclaimer-btn:hover {
    transform: scale(.85);
}